Skip to content

Create 'MarketApartmentMedia'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
market_mediaobject(MarketMedia)required
market_spaceobject(MarketApartment)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
orderinteger, (int32), [ -2147483648 .. 2147483647 ]
POST
/markets/media/marketapartmentmedia/
curl -i -X POST \
  https://dev.api.pigello.io/markets/media/marketapartmentmedia/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "custom_id": "string",
    "market_media": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "order": -2147483648,
    "market_space": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  }'

Responses

Successful creation

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

market_mediaobject(MarketMedia)required
market_spaceobject(MarketApartment)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
orderinteger, (int32), [ -2147483648 .. 2147483647 ]
market_media_objanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "market_media": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "order": -2147483648, "market_media_obj": null, "market_space": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } }